sc::HSOSKS(3)

NAME
sc::HSOSKS -

This provides a Kohn-Sham implementation for restricted-orbital high-spin open-shell systems.

SYNOPSIS

#include <hsosks.h>

Inherits sc::HSOSSCF.

  Public Member Functions
HSOSKS (StateIn &)
HSOSKS (const Ref< KeyVal > &)
This KeyVal constructor reads the following keywords:
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void print (std::ostream &o=ExEnv::out0()) const
Print information about the object.
void two_body_energy (double &ec, double &ex)
int value_implemented () const
Information about the availability of values, gradients, and hessians.
int gradient_implemented () const

  Protected Member Functions
RefSymmSCMatrix cl_vxc ()
RefSymmSCMatrix op_vxc ()
void ao_fock (double accuracy)
double scf_energy ()
Ref< SCExtrapData > extrap_data ()
RefSymmSCMatrix effective_fock ()
void init_vector ()
void done_vector ()
void two_body_deriv (double *)
RefSymmSCMatrix lagrangian ()

  Protected Attributes
Ref< DenIntegrator > integrator_
Ref< DenFunctional > functional_
RefSymmSCMatrix vxc_a_
RefSymmSCMatrix vxc_b_
double exc_

  Additional Inherited Members

Detailed Description

This provides a Kohn-Sham implementation for restricted-orbital high-spin open-shell systems.

Constructor & Destructor Documentation

  sc::HSOSKS::HSOSKS (const Ref< KeyVal > &)

This KeyVal constructor reads the following keywords: .IP "integrator" 1c Specifies the DenIntegrator that will be used to integrate the density functional. The default is RadialAngularIntegrator.

functional
    Specifies the DenFunctional that will be used to compute the exchange/correlation contribution. This is no default.

Member Function Documentation

  void sc::HSOSKS::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularEnergy.

  int sc::HSOSKS::value_implemented () const [virtual]

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

Author

Generated automatically by Doxygen for MPQC from the source code.